четверг, 11 апреля 2013 г.

Fail: Ubintu One @ Linux Mint Debian Edition

У меня на ноутбуке с Ubuntu Linux есть программка для облачного хранилища данных под названием Ubuntu One. Обычно я пользуюсь Dropbox, у меня там бесплатных 4.25 Гб (из которых занято 48.3 Мб), Яндекс.Диск не использую по причине недоверия к Яндексу (во-первых, там ненавистный WebDAV, во-вторых, Яндекс всегда прогибается под ФСБ и ФСО, поскольку расположен в России). Решил вот попробовать, что такое Ubuntu One, благо там 5 Гб сразу дают бесплатно, а аккаунт на launchpad.net у меня уже давно.


Ничем особо не примечательно и Дропбокса не лучше. Это вот контрольная панель типа.

Понятное дело, что Ubuntu One всего на одном компьютере - бесполезная штука. Надо, чтоб файлы синхронизировались на нескольких компьютерах. Но ставить Ubuntu на другой компьютер я не хочу. Зачем? Unity - говно. У меня на десктопе и на старом ноутбуке стоит LMDE (Linux Mint Debian Edition), обновлённый до Debian Testing, в качестве графической оболочки - Mate на десктопе, Cinnamon на старом ноутбуке. Я решил поставить Ubuntu One на LMDE.

Пошёл на packages.ubuntu.com, скачал оттуда всё необходимое и ещё то, что необходимое сочло необходимым, со всеми зависимостями:
python-ubuntuone-storageprotocol
python-ubuntuone-client
python-problem-report
python-apport
python-dirspec
python-ubuntu-sso-client
ubuntu-sso-client
ubuntuone-client
python-ubuntuone-control-panel
ubuntuone-control-panel
ubuntu-sso-client-qt
ubuntuone-control-panel-qt

Ну что, запускается.


Правда, не работает нихера. Показывает ошибку с лаконичной пометкой "IPCError".


Я долго копался, пытаясь решить проблему. Изучал логи, даже пытался разобраться в том, что пишет dbus-monitor, но это всё уже за пределами моего понимания. Я так и не понял, в чём дело, по всей видимости, что-то Ubuntu One не нравится в D-Bus в LMDE, а что - непонятно. Может, слишком старая версия шины, я не знаю.

Комментариев нет:

Отправить комментарий

Ублюдочный Гугл поломал форму комментариев. Извините.